package com.ruoyi.system.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.utils.PageUtils;
import com.ruoyi.system.domain.FncInvoiceItem;
import com.ruoyi.system.domain.vo.FncInvoiceItemVo;
import com.ruoyi.system.mapper.FncInvoiceItemMapper;
import com.ruoyi.system.service.IFncInvoiceItemService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 发票项Service业务层处理
 *
 * @author jlf
 * @date 2022-11-20
 */
@Service
public class FncInvoiceItemServiceImpl extends ServiceImpl<FncInvoiceItemMapper, FncInvoiceItem> implements IFncInvoiceItemService {

    @Override
    public TableDataInfo<FncInvoiceItemVo> queryList(FncInvoiceItemVo entity) {
        return PageUtils.buildDataInfo(this.baseMapper.queryList(PageUtils.buildPage(), entity));
    }

    @Override
    public List<FncInvoiceItemVo> queryAll(FncInvoiceItemVo entity) {
        return this.baseMapper.queryList(entity);
    }

    @Override
    public FncInvoiceItemVo queryById(Long invoiceItemId) {
        return this.baseMapper.queryById(invoiceItemId);
    }
}
